/****************************************************************************
** AMCReportSocket meta object code from reading C++ file 'amcreportsocket.h'
**
** Created: Thu Feb 5 20:13:24 2004
**      by: The Qt MOC ($Id: amcreportsocket.moc.cpp,v 1.1 2004-03-04 16:31:17 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "amcreportsocket.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *AMCReportSocket::className() const
{
    return "AMCReportSocket";
}

QMetaObject *AMCReportSocket::metaObj = 0;

void AMCReportSocket::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QObject::className(), "QObject") != 0 )
	badSuperclassWarning("AMCReportSocket","QObject");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString AMCReportSocket::tr(const char* s)
{
    return qApp->translate( "AMCReportSocket", s, 0 );
}

QString AMCReportSocket::tr(const char* s, const char * c)
{
    return qApp->translate( "AMCReportSocket", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* AMCReportSocket::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QObject::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (AMCReportSocket::*m1_t0)();
    typedef void (QObject::*om1_t0)();
    typedef void (AMCReportSocket::*m1_t1)();
    typedef void (QObject::*om1_t1)();
    typedef void (AMCReportSocket::*m1_t2)();
    typedef void (QObject::*om1_t2)();
    typedef void (AMCReportSocket::*m1_t3)();
    typedef void (QObject::*om1_t3)();
    typedef void (AMCReportSocket::*m1_t4)();
    typedef void (QObject::*om1_t4)();
    typedef void (AMCReportSocket::*m1_t5)(int);
    typedef void (QObject::*om1_t5)(int);
    typedef void (AMCReportSocket::*m1_t6)(int);
    typedef void (QObject::*om1_t6)(int);
    typedef void (AMCReportSocket::*m1_t7)();
    typedef void (QObject::*om1_t7)();
    m1_t0 v1_0 = &AMCReportSocket::hostFound;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &AMCReportSocket::connected;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    m1_t2 v1_2 = &AMCReportSocket::connectionClosed;
    om1_t2 ov1_2 = (om1_t2)v1_2;
    m1_t3 v1_3 = &AMCReportSocket::delayedCloseFinished;
    om1_t3 ov1_3 = (om1_t3)v1_3;
    m1_t4 v1_4 = &AMCReportSocket::readyRead;
    om1_t4 ov1_4 = (om1_t4)v1_4;
    m1_t5 v1_5 = &AMCReportSocket::bytesWritten;
    om1_t5 ov1_5 = (om1_t5)v1_5;
    m1_t6 v1_6 = &AMCReportSocket::error;
    om1_t6 ov1_6 = (om1_t6)v1_6;
    m1_t7 v1_7 = &AMCReportSocket::sendReport;
    om1_t7 ov1_7 = (om1_t7)v1_7;
    QMetaData *slot_tbl = QMetaObject::new_metadata(8);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(8);
    slot_tbl[0].name = "hostFound()";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Private;
    slot_tbl[1].name = "connected()";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Private;
    slot_tbl[2].name = "connectionClosed()";
    slot_tbl[2].ptr = (QMember)ov1_2;
    slot_tbl_access[2] = QMetaData::Private;
    slot_tbl[3].name = "delayedCloseFinished()";
    slot_tbl[3].ptr = (QMember)ov1_3;
    slot_tbl_access[3] = QMetaData::Private;
    slot_tbl[4].name = "readyRead()";
    slot_tbl[4].ptr = (QMember)ov1_4;
    slot_tbl_access[4] = QMetaData::Private;
    slot_tbl[5].name = "bytesWritten(int)";
    slot_tbl[5].ptr = (QMember)ov1_5;
    slot_tbl_access[5] = QMetaData::Private;
    slot_tbl[6].name = "error(int)";
    slot_tbl[6].ptr = (QMember)ov1_6;
    slot_tbl_access[6] = QMetaData::Private;
    slot_tbl[7].name = "sendReport()";
    slot_tbl[7].ptr = (QMember)ov1_7;
    slot_tbl_access[7] = QMetaData::Private;
    typedef void (AMCReportSocket::*m2_t0)();
    typedef void (QObject::*om2_t0)();
    typedef void (AMCReportSocket::*m2_t1)();
    typedef void (QObject::*om2_t1)();
    typedef void (AMCReportSocket::*m2_t2)(QDateTime&,QString&);
    typedef void (QObject::*om2_t2)(QDateTime&,QString&);
    m2_t0 v2_0 = &AMCReportSocket::ccConnectionRefused;
    om2_t0 ov2_0 = (om2_t0)v2_0;
    m2_t1 v2_1 = &AMCReportSocket::ccConnected;
    om2_t1 ov2_1 = (om2_t1)v2_1;
    m2_t2 v2_2 = &AMCReportSocket::reportDelivered;
    om2_t2 ov2_2 = (om2_t2)v2_2;
    QMetaData *signal_tbl = QMetaObject::new_metadata(3);
    signal_tbl[0].name = "ccConnectionRefused()";
    signal_tbl[0].ptr = (QMember)ov2_0;
    signal_tbl[1].name = "ccConnected()";
    signal_tbl[1].ptr = (QMember)ov2_1;
    signal_tbl[2].name = "reportDelivered(QDateTime&,QString&)";
    signal_tbl[2].ptr = (QMember)ov2_2;
    metaObj = QMetaObject::new_metaobject(
	"AMCReportSocket", "QObject",
	slot_tbl, 8,
	signal_tbl, 3,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

// SIGNAL ccConnectionRefused
void AMCReportSocket::ccConnectionRefused()
{
    activate_signal( "ccConnectionRefused()" );
}

// SIGNAL ccConnected
void AMCReportSocket::ccConnected()
{
    activate_signal( "ccConnected()" );
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL reportDelivered
void AMCReportSocket::reportDelivered( QDateTime& t0, QString& t1 )
{
    // No builtin function for signal parameter type QDateTime&,QString&
    QConnectionList *clist = receivers("reportDelivered(QDateTime&,QString&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(QDateTime&);
    typedef void (QObject::*RT2)(QDateTime&,QString&);
    RT0 r0;
    RT1 r1;
    RT2 r2;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	    case 2:
#ifdef Q_FP_CCAST_BROKEN
		r2 = reinterpret_cast<RT2>(*(c->member()));
#else
		r2 = (RT2)*(c->member());
#endif
		(object->*r2)(t0, t1);
		break;
	}
    }
}
